Create a pricing plan schedule

Requires the PRICING_PLAN_SCHEDULE.CREATE or QUOTE.PRICING_PLAN_SCHEDULE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

set_previous_end_atbooleanOptional

Setting the value to true will set the end_at of the previous schedule to the start_at of this schedule. Mutually exclusive with set_next_start_at

set_next_start_atbooleanOptional

Setting the value to true will set the start_at of the next schedule to the end_at of this schedule. Mutually exclusive with set_previous_end_at

Request

This endpoint expects an object.
pricing_plan_subscription_idstringRequired

Resource ID of type PRICING_PLAN_SUBSCRIPTION

start_atdatetimeRequired
typeenum or nullOptional
The type of the pricing plan schedule.
Allowed values:
pricing_plan_idstring or nullOptional
The resource ID of the pricing plan.
pricing_plan_version_idstring or nullOptional
The resource ID of the pricing plan version.
pricing_plan_version_selectorobjectOptional

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

end_atdatetime or nullOptional
pricing_currencyenum or nullOptional
The default alphabetic currency code representing the type of currency used for the pricing.
billing_periodobjectOptional
The renewal term after the initial term.
entitlementslist of objects or nullOptional
discountobject or nullOptional
markupobjectOptional
commitmentobjectOptional
promotion_codeslist of strings or nullOptional
coupon_idslist of strings or nullOptional
coupon_discountobject or nullOptional
seats_valueslist of objects or nullOptional
included_volumeslist of objects or nullOptional
enabled_pricingslist of objects or nullOptional
override_pricingslist of objects or nullOptional
combined_pricing_plan_versionobject or nullOptional
realign_invoice_date_to_pricing_plan_schedule_start_atboolean or nullOptional

Response

Created
pricing_plan_subscription_idstring

Resource ID of type PRICING_PLAN_SUBSCRIPTION

start_atdatetime
object_typestring or nullRead-only
idstring or nullRead-only
typeenum or null
The type of the pricing plan schedule.
Allowed values:
pricing_plan_idstring or null
The resource ID of the pricing plan.
pricing_plan_version_idstring or null
The resource ID of the pricing plan version.
pricing_plan_version_selectorobject

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

end_atdatetime or null
pricing_currencyenum or null
The default alphabetic currency code representing the type of currency used for the pricing.
billing_periodobject
The renewal term after the initial term.
entitlementslist of objects or null
discountobject or null
markupobject
commitmentobject
promotion_codeslist of strings or null
coupon_idslist of strings or null
coupon_discountobject or null
seats_valueslist of objects or null
included_volumeslist of objects or null
enabled_pricingslist of objects or null
override_pricingslist of objects or null
combined_pricing_plan_versionobject or null
realign_invoice_date_to_pricing_plan_schedule_start_atboolean or null
created_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error